### Function

# Gtk.PaperSize.new_custom

#### Declaration [src]

    GtkPaperSize*
    gtk_paper_size_new_custom (
      const char* name,
      const char* display_name,
      double width,
      double height,
      GtkUnit unit
    )

#### Description [src]

Creates a new `GtkPaperSize` object with the given parameters.

#### Parameters

`name` | `const char*`
| the paper name
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`display_name` | `const char*`
| the human-readable name
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`width` | `double`
| the paper width, in units of `unit`
`height` | `double`
| the paper height, in units of `unit`
`unit` | `GtkUnit`
| the unit for `width` and `height`. not `GTK_UNIT_NONE`.

#### Return value

Returns: `GtkPaperSize`
a new `GtkPaperSize` object, use `gtk_paper_size_free()` to free it
Ownership of the data is transferred to the caller